4Suite™ API Documentation

# ► Module Ft.Xml.XPointer.XPtrPart

A Parsed Token that represents a list of XPointers WWW: http://4suite.org/XPointer e-mail: support@4suite.org
Copyright (c) 2000-2001 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: UnknownScheme, XPtrExpr, XPtrNsDecl |  |  |  | Functions: Scheme |  |  |  | Fields: Schemes

## Classes

class UnknownScheme

### Methods

__init__(self, name, expr)
__repr__(self)
__str__(self)
evaluate(self, context)
pprint(self, indent='')

class XPtrExpr

### Methods

__init__(self, name, expr)
__repr__(self)
__str__(self)
evaluate(self, context)
pprint(self, indent='')

class XPtrNsDecl

### Methods

__init__(self, name, decl)
__repr__(self)
__str__(self)
evaluate(self, context)
pprint(self, indent='')

## Functions

Scheme(name, expr)

## Fields

Schemes = {'xmlns': <class Ft.Xml.XPointer.XPtrPart.XPtrNsDecl>, 'xpointer': <class Ft.Xml.XPointer.XPtrPart.XPtrExpr>}